safer.h File Reference

Classes for the SAFER and SAFER-K block ciphers. More...

Go to the source code of this file.

## Classes

class | SAFER
| SAFER block cipher. More...
class | SAFER::Base
| SAFER block cipher default operation. More...
class | SAFER::Enc
| SAFER block cipher encryption operation. More...
class | SAFER::Dec
| SAFER block cipher decryption operation. More...
class | SAFER_Impl< BASE, INFO, STR >
| SAFER block cipher default implementation. More...
struct | SAFER_K_Info
| SAFER-K block cipher information. More...
class | SAFER_K
| SAFER-K block cipher. More...
struct | SAFER_SK_Info
| SAFER-SK block cipher information. More...
class | SAFER_SK
| SAFER-SK block cipher. More...

## Typedefs

typedef SAFER_K::Encryption | SAFER_K_Encryption
typedef SAFER_K::Decryption | SAFER_K_Decryption
typedef SAFER_SK::Encryption | SAFER_SK_Encryption
typedef SAFER_SK::Decryption | SAFER_SK_Decryption

## Detailed Description

Classes for the SAFER and SAFER-K block ciphers.

Definition in file safer.h.